Retrieves the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "8125f736-9784-4d11-ae97-f0dbd40630ca",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-11-13T21:46:01.0688336+00:00",
  "sales_territory_id": "c7c8b057-cc4d-4664-a623-0ad34972ca2f",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "b09f512e-32c8-4017-a437-c1edd8707bef",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "935e0339-faaa-4032-a19d-d90805d0fe61",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "6ff55925-28dd-462c-ab87-5a1536f68e87",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "49b099c8-16a0-4e07-9f7c-0f31f77d9d54",
      "db_currency_id": "d6301a6f-2151-4388-ba8c-a3c20ea07b18",
      "db_language_id": "a7a8aaf2-f51c-42ea-b5d7-b9d168ab2e3c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T21:46:01.0688336+00:00"
    },
    "modified_dateutc": "2026-11-13T21:46:01.0688336+00:00"
  },
  "marketing_segment_id": "f38d6e37-ac27-4b0c-bbb5-7b29a07c6150",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "830dcaaa-0813-4b1c-9d15-3483157c42a6",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "89d96daf-771a-41dc-926c-2d0e62895cd5",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "381bf0ed-3905-41c6-9f29-182db5e25ba7",
  "db_country_code": "sample string 28",
  "feelist_id": "10ac784b-4488-4902-8afa-da33234d550c",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "0f8fbaa8-3540-4b67-a5de-1f09e059fc16",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "0e26ede2-9a8d-4da8-a45d-cf2230c77e0f",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-11-13T21:46:01.0799791+00:00",
    "db_currency_id": "180fa5db-a6a5-45bf-86bb-dda9a93a2103",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "6a304a25-fd3d-4d99-b755-519094c2a375",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "28615dd4-fd30-4855-a399-206c712e70f0",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "c30b7fba-cb14-42e9-889d-11dbdf24000a",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "94f567a7-3172-42b8-9959-64c8844e5938",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "153582e4-52e8-4ffd-ac82-9ab508e62bbe",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "c91e7e51-42b9-40c3-84d7-18c2c9a930d6",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "9be72d24-4455-4de7-89eb-58262bb07de5",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-11-13T21:46:01.0799791+00:00"
  },
  "company_sector_id": "8efdb685-0f69-4482-93e3-bd63c8556a6b",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "70b37533-e5f6-4560-8ce4-c8b1f31f034c",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "bafa0e3e-40e5-45bf-85b6-209bad7cff1e",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "8b40d547-708f-41bb-8140-149e4212d728",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "ad323027-4b00-4a28-83a4-bb5cec4b6489",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-11-13T21:46:01.0799791+00:00",
  "id2": 60
}